// -*- C++ -*-
//
// Package:     Arich
// Module:	
//
// Description: 
//
// Usage:
//      [class and public member function
//       documentation goes here]
//
// Author:      R. Pestotnik
// Created:     Thu May  1 00:00:01 EST 2003
// $Id$
//
// Revision history
//
// $Log$


#include <iostream>
#include "ArichTube.hh"

ArichTube::ArichTube(Hep3Vector r, Hep3Vector dir, HepDouble *radius){
  fPosition= r; //[mm]
  fNorm    = dir;
  fRadius[0] = radius[0];                //[mm]
  fRadius[1] = radius[1];               //[mm]

}

ArichTube::~ArichTube(){}

ostream&operator<<(ostream& o, ArichTube& d){

  return o << "Tube" << endl
	   << "Position  =" << d.fPosition << " mm" << endl
	   << "Direction =" << d.fNorm << endl
	   << "Inner R   =" << d.fRadius[0] << " mm" << endl 
	   << "Outher R  =" << d.fRadius[1] << " mm" << endl ;
}
