#ifndef _ArichTube_hh_
#define _ArichTube_hh_
#include <iostream>
using namespace std;

#include <CLHEP/config/CLHEP.h>
#include <CLHEP/Vector/ThreeVector.h>


class ArichTube{
public:
  ArichTube(Hep3Vector r, Hep3Vector dir, HepDouble *radius);
  ~ArichTube();

  friend ostream& operator<< (ostream& o, ArichTube& d);


  Hep3Vector fPosition;
  Hep3Vector fNorm;
  HepDouble  fRadius[2];
private:
};

extern ArichTube *gArichTube;

#endif
