#ifndef _ArichConfig_hh_
#define _ArichConfig_hh_

#include <iostream>
using namespace std;

#define SQPI 2.50662827463

#include <vector>

#include "ArichPhoton.hh"
#include "ArichParticle.hh"
#include "ArichHit.hh"
#include "ArichHitTab.hh"
#include "ArichChrono.hh"

extern  vector <ArichPhoton>   gArichPhoton;
extern  vector <ArichParticle> gArichParticle;
extern  vector <ArichHit>      gArichHit;
extern  vector <ArichHitTab>   gArichHitTab;

#define NGTIMER 30
extern ArichChrono *gTimer[NGTIMER];

#define DT(n,fun)  if (!gTimer[n])  gTimer[n]=new ArichChrono(#fun); gTimer[n]->start();DEBUG(2) cout << #n " --> " #fun << endl; fun;gTimer[n]->stop()
#define DEBUG(x)   if (ArichDebugLevel>=x)
#define ArichRand() RandFlat::shoot(gRanluxEngine)
#define ArichRandPoisson(x) RandPoisson::shoot(gRanluxEngine,x)
//#define ArichRand() (float) (rand())/RAND_MAX
extern  HepInt ArichDebugLevel;
#endif

