#ifndef _ArichHit_hh_
#define _ArichHit_hh_

#include <CLHEP/Vector/ThreeVector.h>

class ArichHit{

public:
  
  ArichHit();
  ~ArichHit();
  Hep3Vector fPosition;  // Position of the hit
  HepDouble utez;
  void Set(Hep3Vector r);
  friend std::ostream& operator<< (std::ostream& o, ArichHit& d);
private:
  
  HepDouble fx,fy;
  HepInt fIx,fIy;
};

inline ArichHit::ArichHit(){}
inline ArichHit::~ArichHit(){}


#endif







